Page MenuHomePhabricator

Setup varnish endpoint for ORES
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/puppet : productionores: Add varnish backend in the misc cluster
operations/dns : masterIntroduce ores.wikimedia.org

Event Timeline

Halfak created this task.Jan 20 2016, 6:49 PM
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak added subscribers: StudiesWorld, Halfak, Aklapper.
mark added a subscriber: mark.Feb 17 2016, 1:40 PM

What is the current thinking on this? I.e., on which URL should this live? Should this go on misc-web, or elsewhere?

I should have CC'd @yuvipanda. I transcribed this task from an IRC chat with him.

The last I heard, we were planning to put ORES at <wikidomain>/api/ores/ (e.g. https://en.wikipedia.org/api/ores/).

So, we've done a lot of work since we last thought about varnish endpoints.

We now have several routes that ORES serves.

  • / the homepage and privacy policy
  • /ui/ the reference UI for scoring edits with ORES
  • /v1/scores/ the base of the version 1 scoring API
  • /v2/scores/ the base of the version 2 scoring API

It's only within the scoring APIs that we get wiki project specific. E.g. /v2/scores/enwiki/ will return a list of the available models for English Wikipedia. If we were still going to make an endpoint at https://en.wikipedia.org/api/ores/, it should roughly reflect that. But in doing so, we'd hide the reference UI from users.

I see two good options.

  1. Add another endpoint to the reference UI for every wiki such that https://en.wikipedia.org/api/ores/ui/ loads the reference UI and https://en.wikipedia.org/api/ores/scores/ loads the base of the scroring API for enwiki.
  2. Stop trying to shoe-horn ORES into a project-specific URL pattern and just host it at something like https://ores.wikimedia.org and allow the #MediaWiki-extension-ORES to include scores within api.php.

With lots of talks with @Halfak, we finally came to an agreement that we want https://ores.wikimedia.org

Change 292542 had a related patch set uploaded (by Alexandros Kosiaris):
Introduce ores.wikimedia.org

https://gerrit.wikimedia.org/r/292542

Change 292543 had a related patch set uploaded (by Alexandros Kosiaris):
ores: Add varnish backend in the misc cluster

https://gerrit.wikimedia.org/r/292543

Change 292542 merged by Alexandros Kosiaris:
Introduce ores.wikimedia.org

https://gerrit.wikimedia.org/r/292542

Change 292543 merged by Alexandros Kosiaris:
ores: Add varnish backend in the misc cluster

https://gerrit.wikimedia.org/r/292543

akosiaris closed this task as Resolved.Jun 6 2016, 9:38 PM
akosiaris claimed this task.

Done. Resolving